<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();

$obs1=$sessao->getVar('controle2');//
$obs2=$sessao->getVar('controle3');//
$obs3=$sessao->getVar('controle4');//
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=210;//isso para horizontal
			 $maximoHAdobe=297;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Arial','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Arial','B',11);
			 $pdf->setXY($margemEsquerda,30);
	                 $pdf->Cell($larguraUtil,6,utf8_decode('AVALIAÇÃO AUTOMATIZADA DO VIGOR DE SEMENTES DE SOJA'),0,1,'C');//lab nome
                     $pdf->Cell($larguraUtil,6,utf8_decode('VIGOR-S'),0,1,'C');//lab nome
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Arial','B',10);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
 
            
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_procedencia, fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $procedencia=$resgenerica->fic_procedencia;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
            $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
            $cota1=43; 
		    //interpretacao
			$largura1=60;
			$largura2=80;
			
			//$cota1=$cota1+20;
            $pdf->setXY($margemEsquerda,$cota1);
            $pdf->Cell($larguraUtil,6,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA Nº '.$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4).'    Lote:'.$lote),0,1,'C');//lab nome
            
			
            $cota1=$cota1+5;
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,20);

    		$pdf->SetFont('Arial','',9);
		    $pdf->Cell(30,5,utf8_decode('Espécie:'),0,0,'L');
    		$pdf->SetFont('Arial','B',11);
		    $pdf->Cell(40,5,utf8_decode($vetorCapturaGeral[32]),0,0,'L');//nome comum
    		$pdf->SetFont('Arial','BI',11);
            $pdf->SetFont('Arial','I',9);
		    $pdf->Cell($largura1,5,'('.utf8_decode($vetorCapturaGeral[30]).')',0,0,'L');//nome cientifico
            $pdf->SetFont('Arial','',9);
		    $pdf->Cell($largura1,5,'Cultivar:'.utf8_decode($cultivar),0,1,'L');



			$pdf->SetFont('Arial','',9);
			
			$cota1=$cota1+5;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell($largura1,5,utf8_decode('Procedência:'.$procedencia),0,1,'L');
			$cota1=$cota1+5;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Requerente :'.utf8_decode($nome).'/'.$ano,0,1,'L');//amostra
		    $pdf->Cell(50,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//lote
			//$cota1=100;

			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);
		    
            //$pdf->Cell($larguraUtil,6,utf8_decode('MÉTODO UTILIZADO PARA DETECÇÃO E IDENTIFICAÇÃO DO PATÓGENO'),0,1,'C');//lab nome
            ///$pdf->Cell($larguraUtil,5,utf8_decode($metodoUtilizado),1,1,'L');
            //$pdf->Cell($larguraUtil,6,utf8_decode('RESULTADO DA ANÁLISE'),0,1,'C');//lab nome
			///////////////


 


		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='VGS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
		$contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
		    $concatenado=$res->rea_campo60a;
			$reanLong=$res->rea_id;
			$reaOperador=$res->rea_operador;
			$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
		endwhile;
		//encntra as 6 medias
		list($media[1],$media[2],$media[3],$media[4],$media[5],$media[6],$media[7],$media[8])= explode("*", $concatenado);


///////////////////////////
            $cota1=70;
	        $pdf->setXY($margemEsquerda,$cota1);
			$pdf->SetFont('Arial','B',11);
            //$pdf->Cell(90,5,utf8_decode('AMOSTRA Nº:'),0,0,'L');//lab nome
            //$pdf->Cell(90,5,utf8_decode('INFORMAÇÂO DE RESULTADO:'),0,1,'L');//lab nome
			$pdf->Line($margemEsquerda,$cota1,$margemDireita+10,$cota1);//lab nome 
			$pdf->Line($margemEsquerda,$cota1+5,$margemDireita+10,$cota1+5);//lab nome 
            $pdf->Cell(63,5,utf8_decode('ITEM'),0,0,'C',1);//lab nome
            $pdf->Cell(131,5,utf8_decode('RESULTADO'),0,0,'C',1);//lab nome

	        //tabelas
	        $quesito[1]= "(*)Índice de Vigor";
	        $quesito[2]= "Crescimento";
	        $quesito[3]= "Uniformidade";
	        $quesito[4]= "Comprimento Total (cm)";
	        $quesito[5]= "Hipocótilo (cm)";
	        $quesito[6]= "Raiz (cm)";


            $complementoVariado[1]="(Escala de 0 a 1000)";
            $complementoVariado[2]="(Escala de 0 a 1000)";
            $complementoVariado[3]="(Escala de 0 a 1000)";
            $complementoVariado[4]="";
            $complementoVariado[5]="";
            $complementoVariado[6]="";
   
			//imprime os quesites e os resultados
			$alturaLinha=4;
			$cota1+=6;
            $cota1Reservada=$cota1;
            $pdf->SetFont('Arial','B',12);
		    //imprime os quesitos	
            for($i=1;$i<=6;$i++) :   
 				$pdf->setXY($margemEsquerda,$cota1);
                $pdf->SetFont('Arial','BI',12);
                $pdf->Cell(63,$alturaLinha,utf8_decode($quesito[$i]),0,0,'C');//lab nome
				//imprime o complemento
				$pdf->setXY($margemEsquerda,$cota1+$alturaLinha);
                $pdf->SetFont('Arial','',10);
                $pdf->Cell(63,$alturaLinha,utf8_decode($complementoVariado[$i]),0,0,'C');//lab nome
				$pdf->setXY(63,$cota1);
                $pdf->SetFont('Arial','BI',12);
                $pdf->Cell(126,$alturaLinha,utf8_decode($media[$i]),0,1,'C');//resultado
                if($i<=2):
				   $cota1+=$alturaLinha*2;
				else:   
				   $cota1+=$alturaLinha*2;
				endif;
            endfor;

			//imprime as linhas separadoras
			$cota1=$cota1Reservada;
			$final=$margemDireita+10;
            for($i=1;$i<=6;$i++) :   
                if($i<=3):
				   $cota1+=$alturaLinha*2;
				else:   
				   $cota1+=$alturaLinha*2;
				endif;
                //if($i==3)$final=$margemDireita;
				$pdf->Line($margemEsquerda,$cota1,$final,$cota1);
             endfor;
		 
			 //impriem legenda final
             $pdf->SetFont('Arial','',8);
			 $pdf->setXY($margemEsquerda,$cota1+3);
			 $pdf->Cell($larguraUtil,$alturaLinha,utf8_decode("* De acordo com a proposta da Ohio Improvement Association: > 500 (alto vigor); 200-500 (vigor médio); < 200 (baixo vigor).  "),0,0,'L');//lab nome
             $pdf->setXY($margemEsquerda,$cota1+7);
			 $pdf->Cell($larguraUtil,$alturaLinha,utf8_decode("Vigor S-Programa desenvolvido mediante convênio de cooperação técnica entre a USP/ESALQ e a Embrapa Instrumentação."),0,0,'L');//lab nome
		    

             //imprime a imagem customizada do vigor s
			 $cota1+=14;
			 
			 $caminhoFinal="Imagens/imagemVigorS.jpg";
			 //$pdf->Image($caminhoFinal,$margemEsquerda+5,$cota1+4,175,67,'JPG'); //este é da dimicron
			 $pdf->Image($caminhoFinal,$margemEsquerda+5,$cota1+4,175,100,'JPG'); //este é da germinax que aumentei altura 50%


#####################LOCAL DATA###############
	 $cota11=265;
	 $posicao2=80;
     $pdf->Line(90,$cota11+5,160,$cota11+5);//
     //$cota11+=5;
         
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,100,$cota11-9,61,14,'JPG');
     endif;

	 $pdf->SetFont('Arial','',8);
     $pdf->setXY($posicao2,$cota11-15);
     //$vetorCabecalho[6]="Cruz Alta";
	 
     $pdf->Cell(100,4.5,utf8_decode($vetorLaboratorio[6]).", ".date("d/m/y") ,0,1,'L');

	 //$pdf->Cell(85,4.5,'xxxxx'.", ".$vetorDadosDocumento[27] ,'0',1,'L');
	 $pdf->SetFont('Arial','',8);
     $pdf->setXY($posicao2,$cota11+0);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[0]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+4);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+8);
	 $pdf->Cell(100,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');		
	 $pdf->SetXY($posicao2,$cota11+12);
	 $pdf->Cell(100,5,utf8_decode($vetorTecnico[7]),0,1,'C');	//	
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		
		


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
